module.exports = {
  create: {
    requestBody: ['!exam_place_id', 'exam_info', '!user_id', 'user_name', 'user_card', 'score', 'config', '!questions'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['!exam_place_id', 'exam_info', '!user_id', 'user_name', 'user_card', 'score', 'config', '!questions'],
  },
  show: {
    parameters: {
      params: ['id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        exam_place_id: 'exam_place_id',
        user_id: 'user_id',
        user_name: 'user_name',
        user_card: 'user_card',
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  getExamQuestion: {
    requestBody: ['exam', 'exam_place_id', 'exam_info', 'user_id', 'user_name', 'user_card'],
  },
};
