'use strict';
const Schema = require('mongoose').Schema;
const moment = require('moment');
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');
const { ObjectId } = require('mongoose').Types;
// 试卷表
const exam = {
  type: { type: String }, // 类型:exam-考试;practise-练习
  questions: { type: Array }, // 问题列表(只存id,之后去换,保持联动的状态)
  proportion: { type: Array }, // 题型比例
  remark: { type: String },
};
const schema = new Schema(exam, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Exam', schema, 'exam');
};
