/* eslint valid-jsdoc: "off" */

'use strict';

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
const { jwt } = require('./config.secret');
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = (exports = {});

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1641883497557_9277';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };

  config.cluster = {
    listen: {
      port: 6104,
    },
  };

  config.dbName = 'baoan-exam';
  config.mongoose = {
    url: `mongodb://localhost:27017/${config.dbName}`,
    options: {
      user: 'c##baoandba',
      pass: 'baoan2021',
      authSource: 'admin',
      useNewUrlParser: true,
      useCreateIndex: true,
    },
  };
  config.jwt = {
    ...jwt,
    expiresIn: '1d',
    issuer: 'baoan',
  };
  // 服务设置
  config.middleServer = {
    ip: '106.12.161.200',
    port: '6101',
  };
  config.filesConfig = {
    root_path: 'D:\\temp',
    project: 'exam',
    export_dir: 'export',
  };

  return {
    ...config,
    ...userConfig,
  };
};
